<template>
	<div class="ui-radio-list">
		<div class="ui-radio-list__wrapper">
			<div class="ui-radio-list__item" v-for="item in items" :key="item.id">
				<input class="ui-radio-list__input" type="radio" :value="item.id" :id="item.id" v-model="checked"
				       v-on:input="$emit('input', $event.target.value)"/>
				<label class="ui-radio-list__label" :for="item.id" v-on:click="$emit('click', checked)">
					<img v-if="item.image" class="ui-radio-list__image" :src="item.image"/>{{ item.number }}
				</label>
			</div>
		</div>
	</div>
</template>

<script>
	export default {
		name: 'ui-radio-list',
		props: {
			items: {
				type: Array,
				default: [],
			},
			value: ''
		},
		data() {
			return {
				checked: ''
			}
		},
		created() {
			this.$emit('input', this.items[0].id);
			this.checked = this.items[0].id;
		}
	};
</script>

<style scoped lang="scss">
	.ui-radio-list {
		&__wrapper {
		
		}
		
		&__item {
			display: flex;
		}
		
		&__input {
			&:checked {
				& + .ui-radio-list__label {
					&:before {
						background-color: rgba(81, 163, 81, 0.15);
						border: transparent;
					}
					
					&:after {
						opacity: 1;
					}
				}
			}
			
			& + .ui-radio-list__label {
				&:after {
					opacity: 0;
				}
			}
		}
		
		&__label {
			height: 20px;
			display: inline-flex;
			align-items: center;
			position: relative;
			margin: 0;
			padding-left: 50px;
			font-size: 15px;
			font-weight: 500;
			font-style: normal;
			font-stretch: normal;
			line-height: 1.33;
			letter-spacing: normal;
			color: #323c47;
			
			&:before {
				content: '';
				position: absolute;
				top: 0;
				left: 0;
				width: 20px;
				height: 20px;
				border: solid 1px #e9eff4;
				background-color: #f8f8f8;
				border-radius: 50%;
				box-sizing: border-box;
				transition: background-color, border .5s ease;
			}
			
			&:after {
				position: absolute;
				top: 10px;
				left: 10px;
				transform: translate(-50%, -50%);
				content: '';
				width: 6px;
				height: 6px;
				background-color: #51a351;
				border-radius: 50%;
				box-sizing: border-box;
				transition: opacity .5s ease;
			}
		}
		
		&__image {
			width: auto;
			height: 20px;
			margin: 0 15px 0 0;
		}
	}
</style>
